namespace Rkis29.Model
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    [Table("Person")]
    public partial class Person
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Person()
        {
            Task = new HashSet<Task>();
            Task1 = new HashSet<Task>();
        }

        public int Id { get; set; }

        [Required]
        public string SurnameP { get; set; }

        [Required]
        public string NameP { get; set; }

        [Required]
        public string PatronomycP { get; set; }

        [Required]
        public string Logins { get; set; }

        [Required]
        public string Passwords { get; set; }

        [Required]
        public string PhoneNumber { get; set; }

        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Task> Task { get; set; }

        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Task> Task1 { get; set; }
    }
}
